﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=DateTest.zip

Sub Class_Globals
	Private Root As B4XView

	Public Dialog As B4XDialog   'need XUI Views 2.30 checked (internal lib)
	Public DateTemplate As B4XDateTemplate
	Private xui As XUI  'you declare this if you use the XUI colors
	Private btnDate As Button
	
	Public PageOne As clsPageOne
	Private lblDate As B4XView
End Sub

Public Sub Initialize
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	PageOne.Initialize
	B4XPages.AddPage("PageOne", PageOne)
	
	Dialog.Initialize (Root)
	Dialog.Title = "Select a date"
	DateTemplate.Initialize
	DateTemplate.MinYear = 2016
	DateTemplate.MaxYear = 2030
'	DateTime.DateFormat= "yyyy-MM-dd"
	DateTime.DateFormat="dd-MM-yyyy"
	lblDate.Text=DateTime.Date(DateTime.Now)
	lblDate.Color=xui.Color_Red
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub btnPageOne_Click
	B4XPages.ShowPage("PageOne")
End Sub

Private Sub B4XPage_Appear
	Dialog.Initialize (Root)
End Sub

Sub btnDate_Click
	Wait For (Dialog.ShowTemplate(DateTemplate, "", "", "CANCEL")) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		Log($"Selected Date is: ${DateTime.Date(DateTemplate.Date}"$ ))
		lblDate.Text=DateTime.Date(DateTemplate.Date)
		lblDate.TextColor =xui.Color_Yellow
	End If	
End Sub
